pfSense Packages - Feature #10858

OpenVPN Client silent install
08/31/2020 12:05 PM - Viktor Gurov

Status: Resolved Start date: 08/31/2020
Priority: Normal Due date:

Assignee: Renato Botelho % Done: 100%
Category: OpenVPN Client Export Estimated time: 0.00 hour

Target version:

Plus Target Version:

Description
Allow to use openvpn client export windows installers for unattended deploy

Currently it's possible to create silent installer by changing this part of code:
https://github.com/pfsense/FreeBSD-ports/blob/6d29773895fc54d1{7f88af4fbc398303d6cd91a/security/pfSense-pkg-openvpn-client-
export/files/usr/local/pkg/openvpn-client-export.inc#L639-L648:

if (Susetoken) {

Sprocchain = ';!1@Install@!UTF-8!
RunProgram="openvpn-install.exe /S"
RunProgram="openvpn-postinstall.exe /S /Import"
;!'@InstallEnd@!"’

;
} else {
$Sprocchain = ';!'@Install@!UTF-8!
RunProgram="openvpn-install.exe /S"
RunProgram="openvpn-postinstall.exe /S"
; '@InstallEnd@!"’

The "/S" key is used for silent install

Need to add WebGUI checkbox for this feature.

History

#1 - 09/04/2020 08:58 AM - Viktor Gurov
https://github.com/pfsense/FreeBSD-ports/pull/922

#2 - 09/04/2020 09:38 AM - Jim Pingle

- Status changed from New to Pull Request Review

#3 - 09/04/2020 01:49 PM - Renato Botelho
- Status changed from Pull Request Review to Feedback
- Assignee set to Renato Botelho

- % Done changed from 0 to 100

PR has been merged. Thanks!

#4 - 09/05/2020 12:18 AM - Viktor Gurov

- Status changed from Feedback to Resolved

1.4.23_2 - works as expected

#5 - 02/15/2021 07:16 PM - Jordan Fishman

- File Silent Install fails to save.avi added
https://github.com/pfsense/FreeBSD-ports/blob/6d29773895fc54d1f7f88af4fbc398303d6cd91a/security/pfSense-pkg-openvpn-client-export/files/usr/local/pkg/openvpn-client-export.inc#L639-L648
https://github.com/pfsense/FreeBSD-ports/blob/6d29773895fc54d1f7f88af4fbc398303d6cd91a/security/pfSense-pkg-openvpn-client-export/files/usr/local/pkg/openvpn-client-export.inc#L639-L648
https://github.com/pfsense/FreeBSD-ports/pull/922

Hello,

There appears to be a bug in the page, where the "Save as default" button does not save/apply the "silent install" setting.
Attempts to attach a screen recording result in a server error.

PFSense Version 2.4.5-RELEASE-p1 (amd64)
Package openvpn-client-export 1.5_5

As always, | really appreciate all that you folks do!
#6 - 02/18/2021 08:09 AM - Viktor Gurov
Jordan Fishman wrote:

Hello,

There appears to be a bug in the page, where the "Save as default" button does not save/apply the "silent install" setting.
Attempts to attach a screen recording result in a server error.

PFSense Version 2.4.5-RELEASE-p1 (amd64)
Package openvpn-client-export 1.5_5

As always, | really appreciate all that you folks do!

fix:
https://qgitlab.netgate.com/pfSense/FreeBSD-ports/-/merge_requests/52

#7 - 03/01/2021 07:40 AM - Renato Botelho

- Status changed from Resolved to Feedback

PR has been merged. Thanks!

#8 - 06/12/2021 03:16 PM - Max Leighton

- Status changed from Feedback to Resolved

Tested OpenVPN Client Export 1.6_1 in 2.5.2.r.20210611.0300 and the silent installer option is getting saved as default like you would expect. I'll
mark the ticket resolved.
Silent Install fails to save.avi 512 KB 02/15/2021 Jordan Fishman
